## gimptransformtools gimptransformtools — Access to toolbox transform tools. |

## Functions

gint32 | gimp_flip ()
gint32 | gimp_perspective ()
gint32 | gimp_rotate ()
gint32 | gimp_scale ()
gint32 | gimp_shear ()
gint32 | gimp_transform_2d ()

## Description

Functions giving access to toolbox transform tools.

## Functions

### gimp_flip ()

    gint32
    gimp_flip (gint32 drawable_ID,
               GimpOrientationType flip_type);

`gimp_flip` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_flip_simple()` instead.

#### Parameters

drawable_ID | The affected drawable. |
flip_type | Type of flip. |

#### Returns

The flipped drawable.

### gimp_perspective ()

    gint32
    gimp_perspective (gint32 drawable_ID,
                      gboolean interpolation,
                      gdouble x0,
                      gdouble y0,
                      gdouble x1,
                      gdouble y1,
                      gdouble x2,
                      gdouble y2,
                      gdouble x3,
                      gdouble y3);

`gimp_perspective` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_perspective()` instead.

#### Parameters

drawable_ID | The affected drawable. |
interpolation | Whether to use interpolation. |
x0 | The new x coordinate of upper-left corner of original bounding box. |
y0 | The new y coordinate of upper-left corner of original bounding box. |
x1 | The new x coordinate of upper-right corner of original bounding box. |
y1 | The new y coordinate of upper-right corner of original bounding box. |
x2 | The new x coordinate of lower-left corner of original bounding box. |
y2 | The new y coordinate of lower-left corner of original bounding box. |
x3 | The new x coordinate of lower-right corner of original bounding box. |
y3 | The new y coordinate of lower-right corner of original bounding box. |

#### Returns

The newly mapped drawable.

### gimp_rotate ()

    gint32
    gimp_rotate (gint32 drawable_ID,
                 gboolean interpolation,
                 gdouble angle);

`gimp_rotate` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_rotate()` instead.

#### Parameters

drawable_ID | The affected drawable. |
interpolation | Whether to use interpolation. |
angle | The angle of rotation (radians). |

#### Returns

The rotated drawable.

### gimp_scale ()

    gint32
    gimp_scale (gint32 drawable_ID,
                gboolean interpolation,
                gdouble x0,
                gdouble y0,
                gdouble x1,
                gdouble y1);

`gimp_scale` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_scale()` instead.

#### Parameters

drawable_ID | The affected drawable. |
interpolation | Whether to use interpolation. |
x0 | The new x coordinate of the upper-left corner of the scaled region. |
y0 | The new y coordinate of the upper-left corner of the scaled region. |
x1 | The new x coordinate of the lower-right corner of the scaled region. |
y1 | The new y coordinate of the lower-right corner of the scaled region. |

#### Returns

The scaled drawable.

### gimp_shear ()

    gint32
    gimp_shear (gint32 drawable_ID,
                gboolean interpolation,
                GimpOrientationType shear_type,
                gdouble magnitude);

`gimp_shear` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_shear()` instead.

#### Parameters

drawable_ID | The affected drawable. |
interpolation | Whether to use interpolation. |
shear_type | Type of shear. |
magnitude | The magnitude of the shear. |

#### Returns

The sheared drawable.

### gimp_transform_2d ()

    gint32
    gimp_transform_2d (gint32 drawable_ID,
                       gboolean interpolation,
                       gdouble source_x,
                       gdouble source_y,
                       gdouble scale_x,
                       gdouble scale_y,
                       gdouble angle,
                       gdouble dest_x,
                       gdouble dest_y);

`gimp_transform_2d` is deprecated and should not be used in newly-written code.

Use `gimp_item_transform_2d()` instead.

#### Parameters

drawable_ID | The affected drawable. |
interpolation | Whether to use interpolation. |
source_x | X coordinate of the transformation center. |
source_y | Y coordinate of the transformation center. |
scale_x | Amount to scale in x direction. |
scale_y | Amount to scale in y direction. |
angle | The angle of rotation (radians). |
dest_x | X coordinate of where the centre goes. |
dest_y | Y coordinate of where the centre goes. |

#### Returns

The transformed drawable.